Bug 57632 - Small fix to build kernel-2.4.9-18 from source
Small fix to build kernel-2.4.9-18 from source
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-17 17:25 EST by Need Real Name
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 00:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-17 17:25:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011113

Description of problem:
Compilation of kernel-2.4.9-18 fails when building the debug kernel:
 kdbmain.c:71: conflicting types for `kdb_nextline'
/usr/src/redhat/BUILD/kernel-2.4.9/linux/include/linux/kdbprivate.h:70:
previous declaration of `kdb_nextline'
make[2]: *** [kdbmain.o] Error 1
make[1]: *** [first_rule] Error 2
make: *** [_dir_kdb] Error 2

Version-Release number of selected component (if applicable):
kernel-2.4.9-18.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. rpm --rebuild --target i686 kernel-2.4.9-18.src.rpm
2.
3.
	

Actual Results:  see above

Expected Results:  successful build

Additional info:

By changing the patch file linux-2.4.7-ikd.patch slightly the source
package builds the expected kernels: (picky compiler)
linux/include/kdbprivate.h: (same as in linux/kdb/kdbmain.c) 
-extern int kdb_nextline;
+extern volatile int kdb_nextline;
Environment:
gcc-3.1-0.10
glibc-2.2.4-20
binutils-2.11.92.0.12-4
modutils-2.4.12-3

Don't know if the kernel boots, cannot reboot until later. Have scsi driver
(aix7xxx) problems with newer (2.4.16-xx) kernels.
Comment 1 Need Real Name 2001-12-18 13:31:39 EST
This kernel does not boot either, hangs at the same place as before, see bug
#57354 :-( The unbootable kernel collection gets larger....

Note You need to log in before you can comment on or make changes to this bug.